function [Left_Vel,Right_Vel] = SCom(Left_Com,Right_Com,Angle,Payload,Surface_Friction)
%This function communicates with the experimental platform over the RS-232
%port
%It returns the left and right velocity of the experimental platform every
%150 ms
count = 0;
ACK = 0;
size = 1;

Left_Com = Left_Com/2;
Right_Com = Right_Com/2;

s = serial('COM1','BaudRate',38400,'DataBits',8);
fopen(s);

%% Tran Left Command
while count ~= size
    fwrite(s,Left_Com,'uint8');
    [ACK,count] = fread(s,size,'uint8');
end
if ACK == 254
    count = 0;
end

%% Tran Right Command
while count ~= size
    fwrite(s,Right_Com,'uint8');
    [ACK,count] = fread(s,size,'uint8');
end
if ACK == 254
    count = 0;
end

%% Tran Angle
while count ~= size
    fwrite(s,Angle,'uint8');
    [ACK,count] = fread(s,size,'uint8');
end
if ACK == 254
    count = 0;
end

%% Tran Payload
while count ~= size
    fwrite(s,Payload,'uint8');
    [ACK,count] = fread(s,size,'uint8');
end
if ACK == 254
    count = 0;
end

%% Tran Surface_Friction
while count ~= size
    fwrite(s,Surface_Friction,'uint8');
    [ACK,count] = fread(s,size,'uint8');
end
if ACK == 254
    count = 0;
end

%% Read 1st Left Velocity
while count ~= size
    [Left_Vel,count] = fread(s,size,'uint8');
end
count = 0;

%% Read 2nd Right Velocity
while count ~= size
    [Right_Vel,count] = fread(s,size,'uint8');
end

Right_Vel = Right_Vel*(1/0.098333);
Left_Vel = Left_Vel*(1/0.098333);

fclose(s);